apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Cliff Woolley <jwool...@virginia.edu>
Subject Re: Problems with apr
Date Sun, 26 Oct 2003 06:02:45 GMT
> Starting httpd: /usr/sbin/httpd: relocation error: /usr/lib/libapr-0.so.0:
> symbol sys_siglist, version GLIBC_2.3.3 not defined in the file libc.so.6
> with link time reference
> Is this a problem with glibc (I have 2.3.2) not being the correct version or
> is it an actual apr problem?  If it is glibc then where the hell does on
> find 2.3.3?  the official version, and the only one I could find, is 2.3.2?

It does indeed sound like a problem with a glibc version mismatch, but we
(the APR group) don't actually produce the RPM you installed, so I don't
know why it expects version 2.3.3.  If it's a RedHat official RPM, you'll
have to check with RedHat.

Thanks for trying out APR!

Once you get it up and going, if you have any questions about the API,
feel free to jump back over here and pick our brains.  :)

--Cliff

Mime
View raw message